/*
 * @FilePath: \wang-vue-worke:\demo\daping\src\hook\selfAdaption.ts
 * @Author: 王路平
 * @文件版本: V1.0.0
 * @Date: 2023-02-02 11:31:31
 * @Description: 
 * 
 * 版权信息         : 2023 by ${再登软件}, All Rights Reserved.
 */
import {onMounted, reactive} from 'vue'
// import {InputData} from '@/type/hook/selfAdaption.d'
export default function( height:number,width:number,row:number=1,column:number=1,gutter:number=0 ){
    let oHeight = 0
    let oWidth = 0
    function outWH(){
        console.log(height);
        
        oHeight=(height / row) - gutter
        oWidth=(width / column) - gutter
        return{
            oHeight,
            oWidth
        }
    };

    onMounted(() => {
        outWH()
    })
    
}
